function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"1",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
	show_help_wnd=true;
	init_mini(1);
	BlockCursor(false);
	if not help then
		help=true;
		CreateWindow(200,200,"1",100,"messageinfo")	
	end;		
--	finish_mini_game(true);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	if sender==26 then
		if id==100 then
			BlockCursor(true);
		    create_mini(1000,4,1,2000,600,false,1025);
			StartTimer(4321,3)
		return;end;
	return;end;
	-- if sender==16 then
		-- if not help then
			-- help=true;
			-- CreateWindow(200,200,"1",100,"messageinfo")
		-- end;		
	    -- BlockCursor(false);
	-- return;end;
	
	
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==30 then
		setcurentleaf("kab_direktor",3,0);
		DarkScreen(false);
		if flags.minicomplete then
			StopEmiter("Table");
		
			collaps_obj(110,0,0,0,0);
			AddElement("gr",110);
			setcolor(110,0,0,0,0.5,1);
			MoveObjectToTree(110); 

			collaps_obj(111,0,0,0,0);
			AddElement("gr",111);
			setcolor(111,0,0,0,0.5,1);
			MoveObjectToTree(111); 

			collaps_obj(112,0,0,0,0);
			AddElement("gr",112);
			setcolor(112,0,0,0,0.5,1);
			MoveObjectToTree(112); 

			collaps_obj(113,0,0,0,0);
			AddElement("gr",113);
			setcolor(113,0,0,0,0.5,1);
			MoveObjectToTree(113); 
			flags.keys=true;		
			StartTimer(9999,2.5)
			-- speciale_action(2,110,true);
			Set_Cursor(58,3);
			speciale_action(2,58);	
			speciale_action(2,54,true);
             savegame(SaveLevel());
		return; end;
	return; end;
	
	if sender==36 then
		if id==4321 then
			BlockCursor(false);
		return;end;
		if id==2100 then
		BlockCursor(false);
		clear_satelite_leaf("kab_direktor");
		return;end;
	return;end;	
	
	if sender==10 then
		flags.minicomplete=true;
		playeffect("miniC");	
		StartTimer(2100,3);
		BlockCursor(true);
	return; end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;
	if sender==1 then
		if id==6000 then
			CreateWindow(200,200,"1",101,"messageinfo") 
		return;end;	
		if id==1000 then
			finish_mini_game(false);
			playeffect("close");
			clear_satelite_leaf("kab_direktor");
			DeleteResource("m123_btn"     );
			DeleteResource("m123_green"   );
			DeleteResource("m123_yellow"  );
			DeleteResource("m123_blue"    );
			DeleteResource("m123_red"     );
			DeleteResource("m123_close"   );
			DeleteResource("m123_halfopen");
			DeleteResource("m123_open"    );
			DeleteResource("m123_box"     );
			DeleteResource("m123_bg"      );
			DeleteResource("frame1"       );
			DeleteResource("frame2"       );
			DeleteResource("frame3"       );		
		return;end;
			if id==5000 and skipping then
			playeffect("skip");
			if not flags.minicomplete then
				finish_mini_game(true);
			return;end;		
			return;end;		
		if id>1024 and id<1033 then
			playeffect("BoxOpen")
			check_mini_game_memory((id-1025)%8+1025);
		return;end;
	return;end;	
end;

function PairsCounter(nCount,Param1)
end;